Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.quartz.ee.jmx.jboss
Class JBoss4RMIRemoteMBeanScheduler

    java.lang.Object
      org.quartz.impl.RemoteMBeanScheduler
          org.quartz.ee.jmx.jboss.JBoss4RMIRemoteMBeanScheduler

All Implemented Interfaces:
  Scheduler

    public class JBoss4RMIRemoteMBeanScheduler

extends RemoteMBeanScheduler

An implementation of the `Scheduler` interface that remotely proxies all method calls to the equivalent call on a given `QuartzScheduler` instance, via JBoss's JMX RMIAdaptor.

Set the providerURL property to your MBean server URL. This defaults to: jnp://localhost:1099

See Also:
  `Scheduler`, `QuartzScheduler`, `SchedulingContext`

Field Summary

Fields inherited from interface org.quartz.Scheduler
`DEFAULT_FAIL_OVER_GROUP, DEFAULT_GROUP, DEFAULT_MANUAL_TRIGGERS, DEFAULT_RECOVERY_GROUP, FAILED_JOB_ORIGINAL_TRIGGER_FIRETIME_IN_MILLISECONDS, FAILED_JOB_ORIGINAL_TRIGGER_GROUP, FAILED_JOB_ORIGINAL_TRIGGER_NAME`

Constructor Summary
`JBoss4RMIRemoteMBeanScheduler()`

Method Summary
`protected Object` | `getAttribute(String attribute)` Get the given attribute of the remote Scheduler MBean.
`protected AttributeList` | `getAttributes(String[] attributes)` Get the given attributes of the remote Scheduler MBean.
`protected Properties` | `getContextProperties()` Get the properties to use when creating a JNDI InitialContext.
`void` | `initialize()` Initialize this remote MBean scheduler, getting the JBoss RMIAdaptor for communication.
`protected Object` | `invoke(String operationName, Object[] params, String[] signature)` Invoke the given operation on the remote Scheduler MBean.
`void` | `setProviderURL(String providerURL)` Set the remote MBean server URL.

Methods inherited from class org.quartz.impl.RemoteMBeanScheduler
`addCalendar, addGlobalJobListener, addGlobalTriggerListener, addJob, addJobListener, addSchedulerListener, addTriggerListener, deleteCalendar, deleteJob, getCalendar, getCalendarNames, getContext, getCurrentlyExecutingJobs, getGlobalJobListener, getGlobalJobListeners, getGlobalTriggerListener, getGlobalTriggerListeners, getJobDetail, getJobGroupNames, getJobListener, getJobListenerNames, getJobNames, getMetaData, getPausedTriggerGroups, getSchedulerInstanceId, getSchedulerListeners, getSchedulerName, getSchedulerObjectName, getTrigger, getTriggerGroupNames, getTriggerListener, getTriggerListenerNames, getTriggerNames, getTriggersOfJob, getTriggerState, interrupt, isInStandbyMode, isShutdown, isStarted, pauseAll, pauseJob, pauseJobGroup, pauseTrigger, pauseTriggerGroup, removeGlobalJobListener, removeGlobalTriggerListener, removeJobListener, removeSchedulerListener, removeTriggerListener, rescheduleJob, resumeAll, resumeJob, resumeJobGroup, resumeTrigger, resumeTriggerGroup, scheduleJob, scheduleJob, setJobFactory, setSchedulerObjectName, setSchedulerObjectName, setSchedulingContext, shutdown, shutdown, standby, start, startDelayed, toBoolean, triggerJob, triggerJob, triggerJobWithVolatileTrigger, triggerJobWithVolatileTrigger, unscheduleJob`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JBoss4RMIRemoteMBeanScheduler

    public JBoss4RMIRemoteMBeanScheduler()
                                  throws SchedulerException

Throws:
  `SchedulerException`

Method Detail

### setProviderURL

    public void setProviderURL(String providerURL)

  Set the remote MBean server URL. Defaults to: jnp://localhost:1099

### initialize

    public void initialize()
                    throws SchedulerException

  Initialize this remote MBean scheduler, getting the JBoss RMIAdaptor for communication.

  Specified by:
    `initialize` in class `RemoteMBeanScheduler`
  Throws:
    `SchedulerException`

### getContextProperties

    protected Properties getContextProperties()

  Get the properties to use when creating a JNDI InitialContext.

  This method is broken out so it can be extended to pass credentials or other properties not currently supported.

### getAttribute

    protected Object getAttribute(String attribute)
                           throws SchedulerException

  Description copied from class: `RemoteMBeanScheduler`
  Get the given attribute of the remote Scheduler MBean.

  Specified by:
    `getAttribute` in class `RemoteMBeanScheduler`
  Throws:
    `SchedulerException`

### getAttributes

    protected AttributeList getAttributes(String[] attributes)
                                   throws SchedulerException

  Description copied from class: `RemoteMBeanScheduler`
  Get the given attributes of the remote Scheduler MBean.

  Specified by:
    `getAttributes` in class `RemoteMBeanScheduler`
  Throws:
    `SchedulerException`

### invoke

    protected Object invoke(String operationName,
                            Object[] params,
                            String[] signature)
                     throws SchedulerException

  Description copied from class: `RemoteMBeanScheduler`
  Invoke the given operation on the remote Scheduler MBean.

  Specified by:
    `invoke` in class `RemoteMBeanScheduler`
  Throws:
    `SchedulerException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2012, Terracotta, Inc.